Summary: Creates a boot floppy disk for booting a system
Name: mkbootdisk
Version:  1.5.5
Release: alt1_10
License: GPLv2+
Group: System/Base
Source: mkbootdisk-%{version}.tar.xz
Patch0: mkbootdisk-1.5.5-fix-long-volid.patch
Patch1: mkbootdisk-1.5.5-man-dracut.patch
ExclusiveOs: Linux
ExclusiveArch: %{ix86} sparc sparc64 x86_64
Requires: genisoimage
%ifnarch sparc sparc64
Requires: syslinux
%else
Requires: silo genromfs
%endif
Source44: import.info

%description
The mkbootdisk program creates a standalone boot floppy disk for
booting the running system.  The created boot disk will look for the
root filesystem on the device mentioned in /etc/fstab and includes an
initial ramdisk image which will load any necessary SCSI modules for
the system.

%prep
%setup -q
%patch0 -p1 -b .fix-long-volid
%patch1 -p1 -b .man-dracut

%install
make BUILDROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install

%files
%doc COPYING
%attr(755,root,root) /sbin/mkbootdisk
%attr(644,root,root) %{_mandir}/man8/mkbootdisk.8*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.5-alt1_10
- initial fc import

